Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mindswap.pellet.jena
Class PelletResultSet

    java.lang.Object
      org.mindswap.pellet.jena.PelletResultSet

All Implemented Interfaces:
  com.hp.hpl.jena.query.ResultSet, java.util.Iterator

    public class PelletResultSet

extends java.lang.Object
implements com.hp.hpl.jena.query.ResultSet

Author:
  Evren Sirin

Constructor Summary
`PelletResultSet(QueryResults answers, com.hp.hpl.jena.rdf.model.Model model)`

Method Summary
`QueryResults` | `getAnswers()` Return the underlying QueryResults object
`java.util.List` | `getResultVars()`
`int` | `getRowNumber()`
`boolean` | `hasNext()`
`boolean` | `isDistinct()`
`boolean` | `isOrdered()`
`java.lang.Object` | `next()`
`com.hp.hpl.jena.sparql.engine.binding.Binding` | `nextBinding()`
`com.hp.hpl.jena.query.QuerySolution` | `nextSolution()`
`void` | `remove()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PelletResultSet

    public PelletResultSet(QueryResults answers,
                           com.hp.hpl.jena.rdf.model.Model model)

Method Detail

### getAnswers

    public QueryResults getAnswers()

  Return the underlying QueryResults object

  Returns:

### hasNext

    public boolean hasNext()

  Specified by:
    `hasNext` in interface `com.hp.hpl.jena.query.ResultSet`
  Specified by:
    `hasNext` in interface `java.util.Iterator`

### nextBinding

    public com.hp.hpl.jena.sparql.engine.binding.Binding nextBinding()

  Specified by:
    `nextBinding` in interface `com.hp.hpl.jena.query.ResultSet`

### nextSolution

    public com.hp.hpl.jena.query.QuerySolution nextSolution()

  Specified by:
    `nextSolution` in interface `com.hp.hpl.jena.query.ResultSet`

### next

    public java.lang.Object next()

  Specified by:
    `next` in interface `com.hp.hpl.jena.query.ResultSet`
  Specified by:
    `next` in interface `java.util.Iterator`

### isDistinct

    public boolean isDistinct()

### isOrdered

    public boolean isOrdered()

  Specified by:
    `isOrdered` in interface `com.hp.hpl.jena.query.ResultSet`

### getRowNumber

    public int getRowNumber()

  Specified by:
    `getRowNumber` in interface `com.hp.hpl.jena.query.ResultSet`

### getResultVars

    public java.util.List getResultVars()

  Specified by:
    `getResultVars` in interface `com.hp.hpl.jena.query.ResultSet`

### remove

    public void remove()
                throws java.lang.UnsupportedOperationException

  Specified by:
    `remove` in interface `java.util.Iterator`
  Throws:
    `java.lang.UnsupportedOperationException`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Evren Sirin. All Rights Reserved.